=== fix/Makefile ===
X11LIB     = /usr/X11/lib
XPMINCLUDE = /public/local/X11/include/
XPMLIB     = /public/local/X11/lib/
CC         = gcc -I$(XPMINCLUDE)

FOBJ2   =  fix2.o color.o


fix2: $(FOBJ2)
	gcc -o fix2 $(FOBJ2) -L$(X11LIB) -L$(XPMLIB) -lX11 -lXpm

clean:
	rm -f fix2 *.o *~ .*~
