## xsoldier 1.8

=== debian/changelog ===
xsoldier (1:1.8-6) unstable; urgency=medium

  [ Sebastien CHAVAUX ]
  * New maintainer. (Closes: #738879)

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.

 -- Sebastien CHAVAUX <seb95.scou@gmail.com>  Mon, 25 Feb 2019 18:30:35 +0100

xsoldier (1:1.8-5) unstable; urgency=medium

  * QA upload.
  * Move the Vcs to Salsa.
  * Compat 11.
  * Rules-Requires-Root: yes.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 01 Mar 2018 01:36:53 +0100

xsoldier (1:1.8-4) unstable; urgency=low

  * QA upload
  * d/control: Add Vcs- fields to collab-maint
  * d/copyright: Move to DEP-5 format. Add packager information. Update
    Yuusuke Hashimoto mail address.
  * d/rules:
    - Use dh $@ automatic layout.
    - Use --with autoreconf, drop --build --host in configure.
  * Remove dh_installdocs parameter, use a plain d/docs file.
  * Remove install cp from d/rules, use a plain d/install file.
  * Bump compat level to 9:
    - Update d/compat.
    - Remove manual hardening from d/rules.
    - Build-Depends: Bump dpkg, drop dpkg-dev.
  * Add all hardening in d/rules.

 -- Jean-Michel Nirgal Vourgère <jmv_deb@nirgal.com>  Wed, 26 Nov 2014 13:31:28 +0100

xsoldier (1:1.8-3) unstable; urgency=low

  * QA upload:
    - Change maintainer of orphaned package to Debian QA.
  * Added desktop file (Closes: #738084)
  * Bumped standards version to 3.9.6: No change required.

 -- Jean-Michel Nirgal Vourgère <jmv_deb@nirgal.com>  Fri, 14 Nov 2014 22:25:34 +0100

xsoldier (1:1.8-2) unstable; urgency=low

  * debian/rules: set ./configure options with
    dpkg-buildflags --export=configure
  * debian/control: added Build-Depends: dpkg-dev (>= 1.16.1) because
    this package uses dpkg-buildflags
  * debian/patches/bad-sprintf.diff: new file, fixes insecure sprintf()
    in manage.c
  * debian/patches/array-size-calculation.diff: new file, replaces
    sizeof(array) with sizeof(array)/sizeof(array[0]) when the program
    calculates the size of the array

 -- Oohara Yuuma <oohara@debian.org>  Wed, 08 Feb 2012 22:01:40 +0900

xsoldier (1:1.8-1) unstable; urgency=low

  * New upstream release
  * debian/rules, debian/README.Debian: disabled the joystick support
    because it is Linux specific and not maintained (closes: #636808)
  * debian/rules: removed the useless chmod at the end of the build
  * debian/source/format: new file, set the source format to 3.0 (quilt)
  * debian/control, debian/rules: don't copy config.guess and config.sub
    from autotools-dev because they are unnecessary
  * debian/control, debian/compat: set debhelper compatibility level to 8
  * debian/control, debian/rules: use dh-autoreconf to regenerate
    autoconf/automake files
  * debian/control: added Build-Conflicts: autoconf2.13, automake1.4
    just in case
  * debian/postinst: use /bin/sh because this script does not depend on
    bash
  * debian/postinst, debian/postrm: quoted exclamation marks just in case
  * debian/rules: added build-arch and build-indep targets
  * debian/control: set Standards-Version: to 3.9.2

 -- Oohara Yuuma <oohara@debian.org>  Sat, 20 Aug 2011 16:23:26 +0900

xsoldier (1:1.5-2) unstable; urgency=low

  * debian/control, debian/rules: Build-Depends: on autotools-dev because
    the package uses autoconf

 -- Oohara Yuuma <oohara@debian.org>  Fri, 13 Nov 2009 04:43:33 +0900

xsoldier (1:1.5-1) unstable; urgency=low

  * acknowledged NMU except for the following change:
    + debian/postrm: Remove /var/games only if it is not in the control
      of dpkg.  Don't remove /var even if it is empty.
  * new upstream release
  * new upstream release fixes the following bug:
    + make sure that an object never acts at the same frame as it is created
      (Closes: #171581)
  * new maintainer (Closes: #554262)
  * debian/changelog: added the "Old Changelog:" to the entry of version
    1:0.96-8.1 because its date is missing
  * debian/control: uses Homepage: for the upstream URL
  * debian/control: avoids to use the word "I" to satisfy lintian
  * debian/xsoldier.doc-base: set Section: to Games/Action
  * debian/compat: set debhelper compatibility level to 7
  * debian/control: updated versioned dependency on debhelper
  * debian/rules: replaced dh_clean -k with dh_prep
  * debian/prerm: removed because it does nothing
  * debian/control: set Standards-Version: to 3.8.3
  * debian/copyright: refers to /usr/share/common-licenses/GPL-2 rather than
    /usr/share/common-licenses/GPL because its license is "GPL version 2 or
    later"
  *

 -- Oohara Yuuma <oohara@debian.org>  Wed, 11 Nov 2009 21:19:09 +0900

xsoldier (1:1.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/watch: Added.
  * debian/rules:
    + Remove DH_COMPAT, now in debian/compat and level 4
    + Replaced deprecated chown call
    + Pass CFLAGS and LDFLAGS to configure script
  * Fix bashism in preinst (Closes: #475635)
  * debian/postrm: also remove /var/games (if empty) on purge (Closes: #333281)
  * debian/control:
    + Bump versioned debhelper version to 4
    + x-dev -> x11proto-core-dev
    + Remove versioned dependency on libsdl-image1.2-dev, satisfied in sarge
    + Added ${misc:Depends}
  * debian/menu: updated to new menu sections policy

 -- Raphael Geissert <atomo64@gmail.com>  Tue, 01 Jul 2008 15:10:20 -0500

xsoldier (1:1.4-1) unstable; urgency=low

  * New upstream release
  * acknowledged NMU (xlibs-dev transition) (closes: #346763)
  * debian/control: removed automake1.7 and autoconf because they are not
    necessary
  * the SDL version of the new upstream release quits if a TERM signal is
    received or if the window is closed (closes: #386181)

 -- Oohara Yuuma <oohara@debian.org>  Sat, 16 Sep 2006 18:36:54 +0900

xsoldier (1:1.3-5.1) unstable; urgency=low

  * Non-maintainer upload for xlibs-dev transition.
  * debian/control: Replace build-dep on xlibs-dev (Closes: #346763)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Thu, 19 Jan 2006 16:39:55 +0100


