=== debian/control ===
Source: xsoldier
Section: games
Priority: optional
Maintainer: Sebastien CHAVAUX <seb95.scou@gmail.com>
Build-Depends: debhelper (>= 11~),
               libsdl-image1.2-dev,
               libsdl1.2-dev,
               libx11-dev,
               libxpm-dev,
               x11proto-core-dev,
Build-Conflicts: autoconf2.13, automake1.4
Standards-Version: 4.3.0
Rules-Requires-Root: binary-targets
Homepage: http://www.interq.or.jp/libra/oohara/xsoldier/index.html
Vcs-Git: https://salsa.debian.org/debian/xsoldier.git
Vcs-Browser: https://salsa.debian.org/debian/xsoldier.git

Package: xsoldier
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: shoot 'em up game with the "not shooting" bonus
 You control a space ship in a vertically scrolling window and shoot
 enemies.  If you kill the boss enemy which appears at the end of each stage,
 or if you can survive till the boss enemy gets bored with you and escapes,
 you can go to the next stage.
 .
 xsoldier has a unique feature --- the "not shooting" bonus.  You can get
 a pretty good score by not pressing the shoot button.  After all, if the
 game is a simple kill-everything and shooting is always a good thing, why
 do you have to press a shoot button?  You can play xsoldier as a simple
 kill-everything (and it is the best way to survive), but if you care your
 score, you need to kill all enemies with a minimum number of bullets.
