=== debian/watch ===
version=3

http://www.interq.or.jp/libra/oohara/xsoldier/xsoldier-(.+)\.tar\.gz
